## Class TSqliteCommandBuilder

Description

TSqliteCommandBuilder provides specifics methods to create limit/offset query commands for Sqlite database.

- since: 3.1
- version: $Id: TDbCommandBuilder.php 1863 2007-04-12 12:43:49Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/Common/Sqlite/TSqliteCommandBuilder.php (line 24)

    TComponent
       |
       --TDbCommandBuilder
          |
          --TSqliteCommandBuilder

Method Summary
string applyLimitOffset (string $sql, [integer $limit = -1], [integer $offset = -1])
Methods
applyLimitOffset (line 33)

Alters the sql to apply $limit and $offset.

- return: SQL with limit and offset.
- access: public

string applyLimitOffset (string $sql, [integer $limit = -1], [integer $offset = -1])

- string $sql: SQL query string.
- integer $limit: maximum number of rows, -1 to ignore limit.
- integer $offset: row offset, -1 to ignore offset.

Redefinition of:

TDbCommandBuilder::applyLimitOffset()
  Alters the sql to apply $limit and $offset. Default implementation is applicable for PostgreSQL, MySQL and SQLite.

#### Inherited Methods

Inherited From TDbCommandBuilder

> TDbCommandBuilder::__construct()
> TDbCommandBuilder::applyCriterias()
> TDbCommandBuilder::applyLimitOffset()
> TDbCommandBuilder::applyOrdering()
> TDbCommandBuilder::bindArrayValues()
> TDbCommandBuilder::bindColumnValues()
> TDbCommandBuilder::createCommand()
> TDbCommandBuilder::createCountCommand()
> TDbCommandBuilder::createDeleteCommand()
> TDbCommandBuilder::createFindCommand()
> TDbCommandBuilder::createInsertCommand()
> TDbCommandBuilder::createUpdateCommand()
> TDbCommandBuilder::getColumnBindings()
> TDbCommandBuilder::getDbConnection()
> TDbCommandBuilder::getInsertFieldBindings()
> TDbCommandBuilder::getLastInsertID()
> TDbCommandBuilder::getPdoType()
> TDbCommandBuilder::getSearchCondition()
> TDbCommandBuilder::getSearchExpression()
> TDbCommandBuilder::getTableInfo()
> TDbCommandBuilder::hasIntegerKey()
> TDbCommandBuilder::setDbConnection()
> TDbCommandBuilder::setTableInfo()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:15 -0400 by phpDocumentor 1.3.0RC4